<template lang="pug">
  el-dialog(title="详情", :close-on-click-modal='false',  :close-on-press-escape="false" :visible.sync='visible' :modal-append-to-body='false')
    div(slot='title')
      span.title-bold 详情
    el-form(:model='dataForm',  ref='dataForm',  label-width='140px' )
      el-row(:span='24')
        el-col(:span='12')
          el-form-item(label="申请接管站点单位:" )
            font {{dataForm.takeoverOrgName}}
        el-col(:span='12')
          el-form-item(label="站点名称:" )
            font {{dataForm.stationName}}
        el-col(:span='12')
          el-form-item(label="申请接管类型:" )
            font(v-if='dataForm.applyType===1') 线路中心
            font(v-if='dataForm.applyType===2') 路网中心
        el-col(:span='12')
          el-form-item(label="申请人:")
            font {{dataForm.applyUserName}}
        el-col(:span='12')
          el-form-item(label="申请时间:")
            font {{dataForm.applyTime}}
        el-col(:span='12')
          el-form-item(label="接管类型:" )
            font(v-if='dataForm.takeoverType===1') 主动接管
            font(v-if='dataForm.takeoverType===2') 被动接管
        el-col(:span='12')
          el-form-item(label="接管开始时间:")
            font(v-if='dataForm.approveTime') {{dataForm.approveTime}}
            font(v-else) --
        el-col(:span='12')
          el-form-item(label="接管结束时间:")
            font(v-if='dataForm.interruptTime') {{dataForm.interruptTime}}
            font(v-else) --
        el-col(:span='12')
          el-form-item(label="审批状态:" )
            font(v-if='dataForm.status===1') 待审批
            font(v-if='dataForm.status===2') 审批通过
            font(v-if='dataForm.status===3') 审批不通过
            font(v-if='dataForm.status===4') 已中断
            font(v-if='dataForm.status===5') 放弃接管
        el-col(:span='12')
          el-form-item(label="申请理由:")
            font {{dataForm.reason}}
    div(slot='footer' align='center')
      el-button(size='medium' type='primary' @click='visible = false') 关闭
</template>

<script>
export default {
  data () {
    return {
      dataList: [],
      dataListLoading: false,
      visible: false,
      dataForm: {}
    }
  },
  methods: {
    init (row) {
      this.visible = true
      this.dataForm = row
      // console.log(row)
    }
    // initData() {
    //     this.$http({
    //       url: this.$http.adornUrl(`/liStation/getId/${this.dataForm.id}`),
    //       method: 'get',
    //       params: this.$http.adornParams()
    //     }).then(data => {
    //         console.log(data, '---')

    //       if (data && data.code === 0) {
    //         this.dataForm = data.bean
    //       } else {
    //         console.log(11)
    //       }
    //     })
    // }
  }
}
</script>
<style lang='scss' scoped>
.el-table__header {
  width: 100% !important;
}
.el-table__body {
  width: 100% !important;
}
.el-form-item {
    margin-bottom: 0px!important;
}
</style>
